Bug 1123518 - [abrt] system-config-printer: magazine_chain_pop_head(): python2.7 killed by SIGSEGV
Summary: [abrt] system-config-printer: magazine_chain_pop_head(): python2.7 killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bc30339f76b0197507ca8da8b11...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 22:27 UTC by Julio Cesar Pérez Franco
Modified: 2014-10-30 13:10 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.4.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-30 13:10:37 UTC


Attachments (Terms of Use)
File: backtrace (127.88 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: core_backtrace (41.17 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: dso_list (16.05 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: environ (2.26 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: maps (74.67 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: open_fds (1.62 KB, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details
File: var_log_messages (348 bytes, text/plain)
2014-07-25 22:27 UTC, Julio Cesar Pérez Franco
no flags Details

Description Julio Cesar Pérez Franco 2014-07-25 22:27:31 UTC
Description of problem:
Installing the EPSON L355 USB multifunctional printer.

Version-Release number of selected component:
system-config-printer-1.4.5-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
crash_function: magazine_chain_pop_head
executable:     /usr/bin/python2.7
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 thread_memory_magazine1_alloc at gslice.c:848
 #2 g_slice_alloc at gslice.c:1007
 #3 g_slice_alloc0 at gslice.c:1042
 #4 g_object_notify_queue_freeze at gobject.c:237
 #5 g_object_freeze_notify at gobject.c:1095
 #6 apply_cell_attributes at gtkcellarea.c:1254
 #7 g_hash_table_foreach at ghash.c:1526
 #8 gtk_cell_area_real_apply_attributes at gtkcellarea.c:1310
 #9 gtk_cell_area_box_apply_attributes at gtkcellareabox.c:1310

Comment 1 Julio Cesar Pérez Franco 2014-07-25 22:27:39 UTC
Created attachment 921066 [details]
File: backtrace

Comment 2 Julio Cesar Pérez Franco 2014-07-25 22:27:40 UTC
Created attachment 921067 [details]
File: cgroup

Comment 3 Julio Cesar Pérez Franco 2014-07-25 22:27:42 UTC
Created attachment 921068 [details]
File: core_backtrace

Comment 4 Julio Cesar Pérez Franco 2014-07-25 22:27:44 UTC
Created attachment 921069 [details]
File: dso_list

Comment 5 Julio Cesar Pérez Franco 2014-07-25 22:27:45 UTC
Created attachment 921070 [details]
File: environ

Comment 6 Julio Cesar Pérez Franco 2014-07-25 22:27:46 UTC
Created attachment 921071 [details]
File: exploitable

Comment 7 Julio Cesar Pérez Franco 2014-07-25 22:27:47 UTC
Created attachment 921072 [details]
File: limits

Comment 8 Julio Cesar Pérez Franco 2014-07-25 22:27:50 UTC
Created attachment 921073 [details]
File: maps

Comment 9 Julio Cesar Pérez Franco 2014-07-25 22:27:51 UTC
Created attachment 921074 [details]
File: open_fds

Comment 10 Julio Cesar Pérez Franco 2014-07-25 22:27:52 UTC
Created attachment 921075 [details]
File: proc_pid_status

Comment 11 Julio Cesar Pérez Franco 2014-07-25 22:27:53 UTC
Created attachment 921076 [details]
File: var_log_messages

Comment 12 Tim Waugh 2014-07-28 12:18:57 UTC
Looks like a threading issue in the openprinting dialog. That whole thing still needs to be re-written to be asynchronous.

Comment 13 Tim Waugh 2014-10-30 13:10:37 UTC
Please re-open if you see this again with system-config-printer-1.4.6-1.fc20.


Note You need to log in before you can comment on or make changes to this bug.